# tracker | MatterLinux Package Tracker 
Soruce code of MatterLinux's package tracker, located at 
[tracker.matterlinux.xyz](https://tracker.matterlinux.xyz)

### Configuration
Tracker can be configured to track different repos. Configuration 
is stored in the `cfg.json` file. Here is the configuration for tracking
official MatterLinux 24 repos:
```
{
  "repos": [ 
    {
      "name": "base",
      "branch": "main",
      "source": "https://git.matterlinux.xyz/Matter/base",
      "url": "https://24.matterlinux.xyz/base"
    },
    {
      "name": "desktop",
      "branch": "main",
      "source": "https://git.matterlinux.xyz/Matter/desktop",
      "url": "https://24.matterlinux.xyz/desktop"
    }
  ]
}
```

### Deployment
Web server can be built and deployed with docker:
```
docker build --tag mattertracker .
docker-compose up -d
```
